# Seems not to build with -j24, we choose -j12
%define _smp_ncpus_max 12

%define oname webkitgtk

%define api6 6.0
%define api 4.1
%define api4  4.0
%define javascriptcoregtk_major 0
%define javascriptcoregtk4_major 18
%define javascriptcoregtk6_major 1
%define libjavascriptcoregtk6 %mklibname javascriptcoregtk %{api6} %{javascriptcoregtk6_major}
%define libjavascriptcoregtk %mklibname javascriptcoregtk %{api} %{javascriptcoregtk_major}
%define libjavascriptcoregtk4   %mklibname javascriptcoregtk  %{api4}  %{javascriptcoregtk4_major}
%define javascriptcoregtk_gir5 %mklibname javascriptcore-gir %{api6}
%define javascriptcoregtk_gir %mklibname javascriptcore-gir %{api}
%define javascriptcoregtk_gir4  %mklibname javascriptcore-gir %{api4}

%define webkit6_major 4
%define webkit2_major 0
%define webkit4_major 37

%define libwebkit6 %mklibname webkitgtk %{api6} %{webkit6_major}
%define libwebkit2 %mklibname webkit2gtk %{api} %{webkit2_major}
%define libwebkit4   %mklibname webkit2gtk %{api4}  %{webkit4_major}
%define webkit6_gir %mklibname webkitgtk-gir %{api6}
%define webkit2_gir %mklibname webkit2gtk-gir %{api}
%define webkit4_gir  %mklibname webkit2gtk-gir %{api4}

%define develname6 %mklibname -d webkitgtk%{api6}
%define develname %mklibname -d webkit2gtk%{api}
%define develname4 %mklibname -d webkit2gtk%{api4}

%bcond_without gamepad

Name:		webkit2
Version:	2.44.1
Release:	%mkrel 1
Summary:	GTK 3 web content engine library
License:	LGPLv2
Group:		System/Libraries
URL:		https://www.webkitgtk.org/
Source0:	https://webkitgtk.org/releases/%{oname}-%{version}.tar.xz
# Don't use SSE/SSE2 instructions on i586 (from Debian)
Patch2:		dont-detect-sse2.patch
Patch4:		webkitgtk-linking.patch
BuildRequires:	bison
BuildRequires:	bubblewrap
BuildRequires:	cmake
BuildRequires:	gi-docgen
BuildRequires:	gnupg2
BuildRequires:	gperf
BuildRequires:	hyphen-devel
BuildRequires:	ninja-build
BuildRequires:	python3
BuildRequires:	ruby
BuildRequires:	unifdef
BuildRequires:	xdg-dbus-proxy

BuildRequires:	libatomic-devel

BuildRequires:	pkgconfig(atspi-2)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gbm)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-bad-1.0)
BuildRequires:	pkgconfig(gstreamer-transcoder-1.0)
BuildRequires:	gstreamer1.0-transcoder
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(libavif)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libjxl)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libseccomp)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(libwoff2dec)
BuildRequires:	pkgconfig(libxslt)
%if %{with gamepad}
BuildRequires:	pkgconfig(manette-0.2)
%endif
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	pkgconfig(wayland-protocols)
BuildRequires:	pkgconfig(wayland-server)
BuildRequires:	pkgconfig(wpe-1.0)
BuildRequires:	pkgconfig(wpebackend-fdo-1.0)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(lcms2)

%description
WebKitGTK is the port of the portable web rendering engine WebKit to the
GTK 3 platform.

%package	-n %{name}-driver
Summary:	WebKitGTK WebDriver support
Group:		System/Libraries
Conflicts:	webkit2 < %{version}-%{release}
Conflicts:	webkit25 < 2.38.0-3

%description	-n %{name}-driver
WebDriver service implementation for WebKitGTK.

%package	-n webkit2gtk%{api}
Summary:        GTK 3 web content engine library
Group:          System/Libraries
Requires:       %{name}-driver >= %{version}-%{release}
Obsoletes:      webkit2 < %{version}-%{release}

%description    -n webkit2gtk%{api}
WebKitGTK is the port of the portable web rendering engine WebKit to the
GTK 3 platform.

%package	-n webkitgtk%{api6}
Summary:	GTK 4 web content engine library
Group:		System/Libraries
Requires:	%{name}-driver >= %{version}-%{release}

%description	-n webkitgtk%{api6}
WebKitGTK is the port of the portable web rendering engine WebKit to the
GTK 4 platform.

%package	-n webkit2gtk%{api4}
Summary:	GTK 3 web content engine library
Group:		System/Libraries
Requires:	%{name}-driver >= %{version}-%{release}
Obsoletes:	webkit24 < 2.38.2-3

%description	-n webkit2gtk%{api4}
WebKitGTK is the port of the portable web rendering engine WebKit to the
GTK 3 platform.

%package	-n webkitgtk%{api6}-jsc
Summary:	JavaScriptCore shell for WebKit GTK 4
Group:		Development/GNOME and GTK+

%description	-n webkitgtk%{api6}-jsc
jsc is a shell for JavaScriptCore, WebKit's JavaScript engine. It
allows you to interact with the JavaScript engine directly.

%package	-n webkit2gtk%{api}-jsc
Summary:	JavaScriptCore shell for WebKit GTK 3
Group:		Development/GNOME and GTK+
Obsoletes:	webkit2-jsc < %{version}-%{release}

%description	-n webkit2gtk%{api}-jsc
jsc is a shell for JavaScriptCore, WebKit's JavaScript engine. It
allows you to interact with the JavaScript engine directly.

%package	-n webkit2gtk%{api4}-jsc
Summary:	JavaScriptCore shell for WebKit GTK 3
Group:		Development/GNOME and GTK+
Obsoletes:	webkit2-jsc4 < 2.38.2-3

%description	-n webkit2gtk%{api4}-jsc
jsc is a shell for JavaScriptCore, WebKit's JavaScript engine. It
allows you to interact with the JavaScript engine directly.


%package -n    %{libwebkit6}
Summary:       GTK port of WebKit web browser engine
Group:         System/Libraries
Requires:      webkitgtk%{api6} >= %{version}

# These are hard requirements of WebKit's bubblewrap sandbox.
Requires:      bubblewrap
Requires:      xdg-dbus-proxy

# If Geoclue is not running, the geolocation API will not work.
Recommends:    geoclue2

# If no xdg-desktop-portal back-end is installed, many features will be broken
# inside the sandbox. In particular, the -gtk back-end has to be installed for
# desktop settings access, including font settings.
Recommends:    xdg-desktop-portal-gtk

%description -n        %{libwebkit6}
The GTK 4 port of WebKit is intended to provide a browser component
primarily for users of the portable GTK UI toolkit on platforms like
Linux.

%package -n    %{libwebkit2}
Summary:       GTK port of WebKit web browser engine
Group:         System/Libraries
Requires:      webkit2gtk%{api} >= %{version}

# These are hard requirements of WebKit's bubblewrap sandbox.
Requires:      bubblewrap
Requires:      xdg-dbus-proxy

# If Geoclue is not running, the geolocation API will not work.
Recommends:    geoclue2

# If no xdg-desktop-portal back-end is installed, many features will be broken
# inside the sandbox. In particular, the -gtk back-end has to be installed for
# desktop settings access, including font settings.
Recommends:    xdg-desktop-portal-gtk

%description -n        %{libwebkit2}
The GTK 3 port of WebKit is intended to provide a browser component
primarily for users of the portable GTK UI toolkit on platforms like
Linux.

%package -n    %{libwebkit4}
Summary:       GTK port of WebKit web browser engine
Group:         System/Libraries
Requires:      webkit2gtk%{api4} >= %{version}

# These are hard requirements of WebKit's bubblewrap sandbox.
Requires:      bubblewrap
Requires:      xdg-dbus-proxy

# If Geoclue is not running, the geolocation API will not work.
Recommends:    geoclue2

# If no xdg-desktop-portal back-end is installed, many features will be broken
# inside the sandbox. In particular, the -gtk back-end has to be installed for
# desktop settings access, including font settings.
Recommends:    xdg-desktop-portal-gtk

%description -n        %{libwebkit4}
The GTK 3 port of WebKit is intended to provide a browser component
primarily for users of the portable GTK UI toolkit on platforms like
Linux.

%package -n	%{libjavascriptcoregtk6}
Summary:        GTK 4 port of WebKit web browser engine
Group:          System/Libraries

%description -n	%{libjavascriptcoregtk6}
The GTK 4 port of WebKit is intended to provide a browser component
primarily for users of the portable GTK UI toolkit on platforms like
Linux.

%package -n	%{libjavascriptcoregtk}
Summary:        GTK 3 port of WebKit web browser engine
Group:          System/Libraries

%description -n	%{libjavascriptcoregtk}
The GTK 3 port of WebKit is intended to provide a browser component
primarily for users of the portable GTK UI toolkit on platforms like
Linux.

%package -n	%{libjavascriptcoregtk4}
Summary:        GTK 3 port of WebKit web browser engine
Group:          System/Libraries

%description -n	%{libjavascriptcoregtk4}
The GTK 3 port of WebKit is intended to provide a browser component
primarily for users of the portable GTK UI toolkit on platforms like
Linux.

%package -n	%{develname6}
Summary:	Development files for WebKit GTK 4 port
Group:		Development/GNOME and GTK+
Provides:	webkit2-devel = %{version}-%{release}
Provides:	webkit2gtk%{api6}-devel = %{version}-%{release}
Provides:	libwebkit2gtk%{api6}-devel = %{version}-%{release}
Requires:	%{libjavascriptcoregtk6} = %{version}
Requires:	%{libwebkit6} = %{version}
Requires:	%{javascriptcoregtk_gir5} = %{version}
Requires:	%{webkit6_gir} = %{version}
Requires:	webkitgtk%{api6}-jsc = %{version}

%description -n	%{develname6}
The %{name}-devel package contains libraries, build data, and header
files for developing applications that use %{name}.

%package -n	%{develname}
Summary:	Development files for WebKit GTK 3 port
Group:		Development/GNOME and GTK+
Provides:	webkit2gtk%{api}-devel = %{version}-%{release}
Provides:	libwebkit2gtk%{api}-devel = %{version}-%{release}
Requires:	%{libjavascriptcoregtk} = %{version}
Requires:	%{libwebkit2} = %{version}
Requires:	%{javascriptcoregtk_gir} = %{version}
Requires:	%{webkit2_gir} = %{version}
Requires:	webkit2gtk%{api}-jsc = %{version}
Obsoletes:	%{_lib}webkit2-devel < %{version}-%{release}

%description -n	%{develname}
The %{name}-devel package contains libraries, build data, and header
files for developing applications that use %{name}.

%package -n	%{develname4}
Summary:	Development files for WebKit GTK 3 port
Group:		Development/GNOME and GTK+
Provides:	webkit2gtk%{api4}-devel = %{version}-%{release}
Provides:	libwebkit2gtk%{api4}-devel = %{version}-%{release}
Requires:	%{libjavascriptcoregtk4} = %{version}
Requires:	%{libwebkit4} = %{version}
Requires:	%{javascriptcoregtk_gir4} = %{version}
Requires:	%{webkit4_gir} = %{version}
Requires:	webkit2gtk%{api4}-jsc = %{version}
Obsoletes:	%{_lib}webkit4-devel < 2.38.2-3

%description -n	%{develname4}
The %{name}-devel package contains libraries, build data, and header
files for developing applications that use %{name}.

%package -n	%{javascriptcoregtk_gir5}
Summary:        GObject Introspection interface description for JSCore
Group:          System/Libraries
Requires:       %{libjavascriptcoregtk} = %{version}-%{release}

%description -n	%{javascriptcoregtk_gir5}
GObject Introspection interface description for JSCore.

%package -n	%{javascriptcoregtk_gir}
Summary:        GObject Introspection interface description for JSCore
Group:          System/Libraries
Requires:       %{libjavascriptcoregtk} = %{version}-%{release}

%description -n	%{javascriptcoregtk_gir}
GObject Introspection interface description for JSCore.

%package -n	%{javascriptcoregtk_gir4}
Summary:        GObject Introspection interface description for JSCore
Group:          System/Libraries
Requires:       %{libjavascriptcoregtk} = %{version}-%{release}

%description -n	%{javascriptcoregtk_gir4}
GObject Introspection interface description for JSCore.

%package -n	%{webkit6_gir}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libwebkit6} = %{version}-%{release}

%description -n	%{webkit6_gir}
GObject Introspection interface description for WebKit.

%package -n	%{webkit2_gir}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libwebkit2} = %{version}-%{release}

%description -n	%{webkit2_gir}
GObject Introspection interface description for WebKit.

%package -n	%{webkit4_gir}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libwebkit4} = %{version}-%{release}

%description -n	%{webkit4_gir}
GObject Introspection interface description for WebKit.


%prep
%setup -qn %{oname}-%{version}
%autopatch -p1

%build
# Increase the DIE limit so our debuginfo packages can be size-optimized.
# This previously decreased the size for x86_64 from ~5G to ~1.1G, but as of
# 2022 it's more like 850 MB -> 675 MB. This requires lots of RAM on the
# builders, so only do this for x86_64 and aarch64 to avoid overwhelming
# builders with less RAM.
# https://bugzilla.redhat.com/show_bug.cgi?id=1456261
%global _dwz_max_die_limit_x86_64 250000000
%global _dwz_max_die_limit_aarch64 250000000

# Require 32 GB of RAM per vCPU for debuginfo processing. 16 GB is not enough.
%{?limit_build:%global _find_debuginfo_opts %limit_build -m 32768}

# Reduce debuginfo verbosity 32-bit builds to reduce memory consumption even more.
# https://bugs.webkit.org/show_bug.cgi?id=140176
# https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/I6IVNA52TXTBRQLKW45CJ5K4RA4WNGMI/
%ifarch %{ix86} %arm aarch64
%global optflags %(echo %{optflags} | sed 's/-g /-g1 /')
%endif
# JIT is broken on ARM systems with new ARMv8.5 BTI extension at the moment
# Cf. https://bugzilla.redhat.com/show_bug.cgi?id=2130009
# Cf. https://bugs.webkit.org/show_bug.cgi?id=245697
# Disable BTI until this is fixed upstream.
%ifarch aarch64
%global optflags %(echo %{optflags} | sed 's/-mbranch-protection=standard /-mbranch-protection=pac-ret /')
%endif

%define _vpath_builddir %{_vendor}-%{_target_os}-build/webkit2gtk-6.0
%cmake \
    -G Ninja \
    -DGCC_OFFLINEASM_SOURCE_MAP=OFF \
    -DPORT=GTK \
    -DUSE_GTK4=ON \
    -DUSE_LIBBACKTRACE=OFF \
    -DUSE_JPEGXL=ON \
    -DPYTHON_EXECUTABLE=%{_bindir}/python3 \
    -DUSE_WPE_RENDERER=OFF \
%if ! %{with gamepad}
    -DENABLE_GAMEPAD=OFF \
%endif
    -DUSE_SOUP2=OFF

%define _vpath_builddir %{_vendor}-%{_target_os}-build/webkit2gtk-4.1
%cmake \
    -G Ninja \
    -DGCC_OFFLINEASM_SOURCE_MAP=OFF \
    -DPORT=GTK \
    -DUSE_GTK4=OFF \
    -DUSE_LIBBACKTRACE=OFF \
    -DUSE_JPEGXL=ON \
    -DPYTHON_EXECUTABLE=%{_bindir}/python3 \
    -DUSE_WPE_RENDERER=OFF \
%if ! %{with gamepad}
    -DENABLE_GAMEPAD=OFF \
%endif
    -DUSE_SOUP2=OFF

%define _vpath_builddir %{_vendor}-%{_target_os}-build/webkit2gtk-4.0
%cmake \
    -G Ninja \
    -DGCC_OFFLINEASM_SOURCE_MAP=OFF \
    -DPORT=GTK \
    -DUSE_GTK4=OFF \
    -DUSE_LIBBACKTRACE=OFF \
    -DUSE_JPEGXL=ON \
    -DPYTHON_EXECUTABLE=%{_bindir}/python3 \
    -DUSE_WPE_RENDERER=OFF \
%if ! %{with gamepad}
    -DENABLE_GAMEPAD=OFF \
%endif
    -DUSE_SOUP2=ON

%define _vpath_builddir %{_vendor}-%{_target_os}-build/webkit2gtk-6.0
export NINJA_STATUS="[1/3][%f/%t %es] "
%cmake_build %{?limit_build}

%define _vpath_builddir %{_vendor}-%{_target_os}-build/webkit2gtk-4.1
export NINJA_STATUS="[2/3][%f/%t %es] "
%cmake_build %{?limit_build}

%define _vpath_builddir %{_vendor}-%{_target_os}-build/webkit2gtk-4.0
export NINJA_STATUS="[3/3][%f/%t %es] "
%cmake_build %{?limit_build}


%install
%define _vpath_builddir %{_vendor}-%{_target_os}-build/webkit2gtk-6.0
%cmake_install

%define _vpath_builddir %{_vendor}-%{_target_os}-build/webkit2gtk-4.1
%cmake_install

%define _vpath_builddir %{_vendor}-%{_target_os}-build/webkit2gtk-4.0
%cmake_install

%find_lang WebKitGTK-%{api6}
%find_lang WebKitGTK-%{api}
%find_lang WebKitGTK-%{api4}

%files -n webkit2gtk%{api} -f WebKitGTK-%{api}.lang
%dir %{_libexecdir}/webkit2gtk-%{api}/
%{_libexecdir}/webkit2gtk-%{api}/WebKit*Process
%{_libexecdir}/webkit2gtk-%{api}/MiniBrowser
%dir %{_libdir}/webkit2gtk-%{api}/
%{_libdir}/webkit2gtk-%{api}/injected-bundle/libwebkit2gtkinjectedbundle.so

%files -n %{name}-driver
%{_bindir}/WebKitWebDriver

%files -n webkit2gtk%{api4} -f WebKitGTK-%{api4}.lang
%dir %{_libexecdir}/webkit2gtk-%{api4}/
%{_libexecdir}/webkit2gtk-%{api4}/WebKit*Process
%{_libexecdir}/webkit2gtk-%{api4}/MiniBrowser
%dir %{_libdir}/webkit2gtk-%{api4}/
%{_libdir}/webkit2gtk-%{api4}/injected-bundle/libwebkit2gtkinjectedbundle.so

%files -n webkitgtk%{api6} -f WebKitGTK-%{api6}.lang
%dir %{_libexecdir}/webkitgtk-%{api6}/
%{_libexecdir}/webkitgtk-%{api6}/WebKit*Process
%{_libexecdir}/webkitgtk-%{api6}/MiniBrowser
%dir %{_libdir}/webkitgtk-%{api6}/
%{_libdir}/webkitgtk-%{api6}/injected-bundle/libwebkitgtkinjectedbundle.so

%files -n webkitgtk%{api6}-jsc
%{_libexecdir}/webkitgtk-%{api6}/jsc

%files -n webkit2gtk%{api}-jsc
%{_libexecdir}/webkit2gtk-%{api}/jsc

%files -n webkit2gtk%{api4}-jsc
%{_libexecdir}/webkit2gtk-%{api4}/jsc

%files -n %{libjavascriptcoregtk}
%{_libdir}/libjavascriptcoregtk-%{api}.so.%{javascriptcoregtk_major}
%{_libdir}/libjavascriptcoregtk-%{api}.so.%{javascriptcoregtk_major}.*

%files -n %{libjavascriptcoregtk4}
%{_libdir}/libjavascriptcoregtk-%{api4}.so.%{javascriptcoregtk4_major}
%{_libdir}/libjavascriptcoregtk-%{api4}.so.%{javascriptcoregtk4_major}.*

%files -n %{libjavascriptcoregtk6}
%{_libdir}/libjavascriptcoregtk-%{api6}.so.%{javascriptcoregtk6_major}
%{_libdir}/libjavascriptcoregtk-%{api6}.so.%{javascriptcoregtk6_major}.*

%files -n %{libwebkit6}
%{_libdir}/libwebkitgtk-%{api6}.so.%{webkit6_major}
%{_libdir}/libwebkitgtk-%{api6}.so.%{webkit6_major}.*

%files -n %{libwebkit2}
%{_libdir}/libwebkit2gtk-%{api}.so.%{webkit2_major}
%{_libdir}/libwebkit2gtk-%{api}.so.%{webkit2_major}.*

%files -n %{libwebkit4}
%{_libdir}/libwebkit2gtk-%{api4}.so.%{webkit4_major}
%{_libdir}/libwebkit2gtk-%{api4}.so.%{webkit4_major}.*

%files -n %{develname6}
%doc %{_docdir}/webkitgtk-web-process-extension-%{api6}/
%doc %{_docdir}/webkitgtk-%{api6}/
%doc %{_docdir}/javascriptcoregtk-%{api6}/

%{_includedir}/webkitgtk-%{api6}/
%{_libdir}/*-%{api6}.so
%{_libdir}/pkgconfig/*-%{api6}.pc
%{_datadir}/gir-1.0/*-%{api6}.gir

%files -n %{develname}
%doc %{_docdir}/webkit2gtk-web-extension-%{api}/
%doc %{_docdir}/webkit2gtk-%{api}/
%doc %{_docdir}/javascriptcoregtk-%{api}/

%{_includedir}/webkitgtk-%{api}/
%{_libdir}/*-%{api}.so
%{_libdir}/pkgconfig/*-%{api}.pc
%{_datadir}/gir-1.0/*-%{api}.gir

%files -n %{develname4}
%doc %{_docdir}/webkit2gtk-web-extension-%{api4}/
%doc %{_docdir}/webkit2gtk-%{api4}/
%doc %{_docdir}/javascriptcoregtk-%{api4}/

%{_includedir}/webkitgtk-%{api4}/
%{_libdir}/*-%{api4}.so
%{_libdir}/pkgconfig/*-%{api4}.pc
%{_datadir}/gir-1.0/*-%{api4}.gir

%files -n %{javascriptcoregtk_gir5}
%{_libdir}/girepository-1.0/JavaScriptCore-%{api6}.typelib

%files -n %{javascriptcoregtk_gir}
%{_libdir}/girepository-1.0/JavaScriptCore-%{api}.typelib

%files -n %{javascriptcoregtk_gir4}
%{_libdir}/girepository-1.0/JavaScriptCore-%{api4}.typelib

%files -n %{webkit6_gir}
%{_libdir}/girepository-1.0/WebKit-%{api6}.typelib
%{_libdir}/girepository-1.0/WebKitWebProcessExtension-%{api6}.typelib

%files -n %{webkit2_gir}
%{_libdir}/girepository-1.0/WebKit2-%{api}.typelib
%{_libdir}/girepository-1.0/WebKit2WebExtension-%{api}.typelib

%files -n %{webkit4_gir}
%{_libdir}/girepository-1.0/WebKit2-%{api4}.typelib
%{_libdir}/girepository-1.0/WebKit2WebExtension-%{api4}.typelib


%changelog
* Tue Apr 23 2024 ns80 <ns80> 2.44.1-1.mga9
+ Revision: 2060682
- new version 2.44.1
- new version 2.44.0 (mga#32202)
- new version 2.42.5
- new version 2.42.4
- new version 2.42.3
- new version 2.42.2
- new version 2.42.1 (mga#32202)
- new version 2.40.5 (mga#32202)

* Thu Jun 29 2023 ns80 <ns80> 2.40.3-1.mga9
+ Revision: 1963294
- new version 2.40.3 (mga#32059)

* Mon Jun 19 2023 daviddavid <daviddavid> 2.40.2-3.mga9
+ Revision: 1962541
- really enable jpegxl support

* Mon Jun 19 2023 daviddavid <daviddavid> 2.40.2-2.mga9
+ Revision: 1962465
- enable jpegxl support

* Tue May 30 2023 ns80 <ns80> 2.40.2-1.mga9
+ Revision: 1959769
- new version 2.40.2

* Mon Apr 24 2023 tmb <tmb> 2.40.1-1.mga9
+ Revision: 1954633
- update to 2.40.1
  * GTK4 api is now 6.0
- update buildrequires
- update filelists

* Sun Apr 16 2023 daviddavid <daviddavid> 2.38.5-2.mga9
+ Revision: 1953338
- remove no more needed old pcre-devel build dependency

* Wed Feb 15 2023 ns80 <ns80> 2.38.5-1.mga9
+ Revision: 1942578
- new version 2.38.5

* Fri Feb 03 2023 wally <wally> 2.38.4-2.mga9
+ Revision: 1937773
- force conflicts and obsoletes to work with mga8 updates

* Fri Feb 03 2023 ns80 <ns80> 2.38.4-1.mga9
+ Revision: 1937720
- new version 2.38.4 (mga#31504)

* Sat Jan 07 2023 squidf <squidf> 2.38.3-2.mga9
+ Revision: 1931181
- Mass rebuild for icu 72.1

* Wed Dec 28 2022 ns80 <ns80> 2.38.3-1.mga9
+ Revision: 1927362
- new version 2.38.3 (mga#31330)

* Sun Nov 20 2022 wally <wally> 2.38.2-5.mga9
+ Revision: 1909357
- update conflicts to handle updating from mga8

* Tue Nov 08 2022 wally <wally> 2.38.2-4.mga9
+ Revision: 1904752
- fix typo in webkit2gtk4.0 devel pkg provides

* Mon Nov 07 2022 wally <wally> 2.38.2-3.mga9
+ Revision: 1904463
- rename webkit2-jsc, webkit2-jsc4, and webkit2-jsc5 as webkit2gtk4.1-jsc, webkit2gtk4.0-jsc, and webkit2gtk5.1-jsc
- rename webkit2, webkit24, and webkit25 pkgs as webkit2gtk4.0, webkit2gtk4.1, and webkit2gtk5.0
- fix devel pkg names
- add more provides to devel pkgs

* Mon Nov 07 2022 ns80 <ns80> 2.38.2-2.mga9
+ Revision: 1904366
- Add API 4.0

* Fri Nov 04 2022 ns80 <ns80> 2.38.2-1.mga9
+ Revision: 1902513
- new version 2.38.2

* Thu Oct 20 2022 ns80 <ns80> 2.38.1-1.mga9
+ Revision: 1897917
- new version 2.38.1

* Sat Oct 01 2022 wally <wally> 2.38.0-3.mga9
+ Revision: 1893657
- split out WebKitGTK WebDriver support (WebKitWebDriver)

* Thu Sep 22 2022 tv <tv> 2.38.0-2.mga9
+ Revision: 1891426
- Add Gtk4 subpkgs

* Sun Sep 18 2022 wally <wally> 2.38.0-1.mga9
+ Revision: 1889798
- new version 2.38.0 (from ns80)
- build with soup3
- new api 4.1

* Mon Aug 29 2022 ns80 <ns80> 2.36.7-1.mga9
+ Revision: 1881592
- new version 2.36.7 (mga#30777)

* Tue Aug 16 2022 ns80 <ns80> 2.36.6-1.mga9
+ Revision: 1878151
- new version 2.36.6 (mga#30680)

* Tue Jul 05 2022 ns80 <ns80> 2.36.4-1.mga9
+ Revision: 1867764
- new version 2.36.4 (mga#30608)

* Mon Jun 20 2022 wally <wally> 2.36.3-3.mga9
+ Revision: 1865300
- rebuild for arm

* Sat Jun 18 2022 squidf <squidf> 2.36.3-2.mga9
+ Revision: 1864926
- rebuild for icu 71.1

* Mon May 30 2022 ns80 <ns80> 2.36.3-1.mga9
+ Revision: 1860718
- new version 2.36.3 (mga#30494)

* Wed May 18 2022 ns80 <ns80> 2.36.2-1.mga9
+ Revision: 1858569
- new version 2.36.2 (mga#30446)

* Fri Apr 22 2022 ns80 <ns80> 2.36.1-1.mga9
+ Revision: 1852593
- new version 2.36.1 (mga#30320)

* Thu Mar 31 2022 ns80 <ns80> 2.36.0-1.mga9
+ Revision: 1836915
- add patch fix-build-with-g++12 from https://bugs.webkit.org/show_bug.cgi?id=238482
- new version 2.36.0

* Thu Feb 17 2022 tmb <tmb> 2.34.6-1.mga9
+ Revision: 1779481
- update to 2.34.6

* Wed Feb 09 2022 luigiwalser <luigiwalser> 2.34.5-1.mga9
+ Revision: 1772744
- 2.34.5

* Sat Jan 22 2022 luigiwalser <luigiwalser> 2.34.4-1.mga9
+ Revision: 1769456
- 2.34.4

* Mon Dec 20 2021 luigiwalser <luigiwalser> 2.34.3-1.mga9
+ Revision: 1763040
- 2.34.3

* Thu Nov 25 2021 ns80 <ns80> 2.34.2-1.mga9
+ Revision: 1759157
- new version 2.34.2

* Thu Oct 21 2021 ns80 <ns80> 2.34.1-1.mga9
+ Revision: 1752480
- new version 2.34.1

* Thu Sep 30 2021 ns80 <ns80> 2.34.0-2.mga9
+ Revision: 1746927
- bump rel
- new version 2.34.0

* Tue Sep 21 2021 ns80 <ns80> 2.32.4-1.mga9
+ Revision: 1746126
- new version 2.32.4 for WSA-2021-0005 (mga#29479)
+ wally <wally>
- build using Ninja
- enable gamepad support

* Sun Aug 08 2021 wally <wally> 2.32.3-1.mga9
+ Revision: 1740426
- workaround build failure (mga#29339)
+ luigiwalser <luigiwalser>
- 2.32.3

* Sat Mar 27 2021 tv <tv> 2.32.0-1.mga9
+ Revision: 1710981
- Disable gamepad for now while waiting for libmanette
+ ovitters <ovitters>
- new version 2.32.0

* Sat Feb 27 2021 neoclust <neoclust> 2.30.5-1.mga9
+ Revision: 1692573
- new version 2.30.5: Fixes WSA-2021-0001

* Wed Dec 23 2020 ns80 <ns80> 2.30.4-1.mga8
+ Revision: 1663082
- new version 2.30.4

* Tue Dec 01 2020 luigiwalser <luigiwalser> 2.30.3-2.mga8
+ Revision: 1651185
- ICU 68 uses standard C++ bool true
- rebuild for icu

* Sat Nov 21 2020 ns80 <ns80> 2.30.3-1.mga8
+ Revision: 1648088
- new version 2.30.3

* Thu Oct 29 2020 martinw <martinw> 2.30.2-2.mga8
+ Revision: 1640547
- don't use SSE/SSE2 instructions on i586

* Fri Oct 23 2020 ovitters <ovitters> 2.30.2-1.mga8
+ Revision: 1638932
- new version 2.30.2

* Tue Sep 22 2020 ns80 <ns80> 2.30.1-1.mga8
+ Revision: 1629457
- new version 2.30.1

* Tue Sep 15 2020 ns80 <ns80> 2.30.0-1.mga8
+ Revision: 1626713
- new version 2.30.0

* Tue Sep 08 2020 ns80 <ns80> 2.29.92-1.mga8
+ Revision: 1623535
- new version 2.29.92

* Fri Aug 14 2020 luigiwalser <luigiwalser> 2.29.91-1.mga8
+ Revision: 1614032
- 2.29.91

* Fri Aug 14 2020 ovitters <ovitters> 2.29.90-1.mga8
+ Revision: 1614027
- new version 2.29.90

* Wed Jul 29 2020 ovitters <ovitters> 2.29.4-1.mga8
+ Revision: 1609522
- new version 2.29.4

* Wed Jul 22 2020 ovitters <ovitters> 2.29.3-2.mga8
+ Revision: 1607794
- require xdg-dbus-proxy (mga#26984)
- require bubblewrap (like Fedora)
- recommend geoclue2 (for geolocation API)
- recommend xdg-desktop-portal-gtk (else many features are broken)

* Fri Jul 10 2020 tv <tv> 2.29.3-1.mga8
+ Revision: 1604251
- 2.29.3

* Wed Jul 01 2020 wally <wally> 2.28.2-2.mga8
+ Revision: 1601077
- rebuild for icu 67.1

* Mon Apr 27 2020 luigiwalser <luigiwalser> 2.28.2-1.mga8
+ Revision: 1572530
- 2.28.2

* Thu Apr 16 2020 luigiwalser <luigiwalser> 2.28.1-1.mga8
+ Revision: 1567859
- 2.28.1

* Sat Apr 04 2020 wally <wally> 2.28.0-2.mga8
+ Revision: 1564512
- rebuild for new icu 66.1

* Tue Mar 10 2020 ns80 <ns80> 2.28.0-1.mga8
+ Revision: 1555317
- new version 2.28.0

* Thu Feb 27 2020 ns80 <ns80> 2.27.91-1.mga8
+ Revision: 1550941
- new version 2.27.91
- drop merged patches
+ pterjan <pterjan>
- Remove restriction to 2 cores on aarch64

* Mon Feb 24 2020 tv <tv> 2.27.90-1.mga8
+ Revision: 1550009
- 2.27.90

* Wed Feb 19 2020 umeabot <umeabot> 2.26.4-2.mga8
+ Revision: 1543912
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 ns80 <ns80> 2.26.4-1.mga8
+ Revision: 1520750
- new version 2.26.4 (mga#26197)

* Thu Jan 23 2020 ns80 <ns80> 2.26.3-1.mga8
+ Revision: 1482352
- new version 2.26.3
+ wally <wally>
- build with new cmake macros

* Sun Nov 17 2019 wally <wally> 2.26.2-2.mga8
+ Revision: 1461433
- fix webkit2-plugin-process-gtk2 obsoletes (mga#25699)
- drop unused provides

* Wed Nov 06 2019 ns80 <ns80> 2.26.2-1.mga8
+ Revision: 1458367
- new version 2.26.2 (mga#25657)

* Sun Oct 06 2019 cjw <cjw> 2.26.1-2.mga8
+ Revision: 1449811
- fix build with icu 65
+ daviddavid <daviddavid>
- rebuild for new icu 65.1
+ ns80 <ns80>
- new version 2.26.1

* Wed Sep 11 2019 ns80 <ns80> 2.26.0-1.mga8
+ Revision: 1439557
- remove patch revert-sse2-requirement
- new version 2.26.0

* Sun Aug 11 2019 tv <tv> 2.25.4-1.mga8
+ Revision: 1428717
- BR bubblewrap
- new release
- new release

* Fri Jul 05 2019 ns80 <ns80> 2.24.3-1.mga8
+ Revision: 1418716
- new version 2.24.3

* Wed May 22 2019 ns80 <ns80> 2.24.2-2.mga7
+ Revision: 1398852
- add again patch revert-sse2-requirement

* Tue May 21 2019 ns80 <ns80> 2.24.2-1.mga7
+ Revision: 1398749
- remove patch that reverted SSE2 requirement
+ luigiwalser <luigiwalser>
- 2.24.2

* Wed Apr 10 2019 ns80 <ns80> 2.24.1-1.mga7
+ Revision: 1387875
- add patch revert-sse2-requirement to allow builing for i586
- new version 2.24.1 that contains bug and security fixes (CVE-2019-6251)

* Fri Mar 29 2019 wally <wally> 2.24.0-3.mga7
+ Revision: 1381087
- split out WebKitPluginProcess2 to webkit2-plugin-process-gtk2 sub pkg to not not pull GTK2 stuff with main pkg (the whole WebKitPluginProcess2 could be dropped as only dying Flash seems to be using it)
- recommend webkit2-plugin-process-gtk2 with main pkg
- use RelWithDebInfo build type

* Thu Mar 21 2019 luigiwalser <luigiwalser> 2.24.0-2.mga7
+ Revision: 1379476
- 2.24.0
- switch to python3 (with patch from fedora)

* Wed Mar 20 2019 luigiwalser <luigiwalser> 2.22.7-1.mga7
+ Revision: 1379168
- 2.22.7

* Fri Feb 22 2019 wally <wally> 2.22.6-2.mga7
+ Revision: 1369371
- switch to enchant2

* Sun Feb 10 2019 luigiwalser <luigiwalser> 2.22.6-1.mga7
+ Revision: 1365100
- 2.22.6

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.22.5-2.mga7
+ Revision: 1346123
- rebuild for icu

* Sat Dec 15 2018 luigiwalser <luigiwalser> 2.22.5-1.mga7
+ Revision: 1341514
- 2.22.5

* Thu Nov 22 2018 ns80 <ns80> 2.22.4-1.mga7
+ Revision: 1333215
- new version 2.22.4 (mga#23615)

* Wed Oct 31 2018 ns80 <ns80> 2.22.3-2.mga7
+ Revision: 1326914
- 2.22.3

* Thu Oct 04 2018 ns80 <ns80> 2.22.2-2.mga7
+ Revision: 1317344
- bump rel

* Sat Sep 29 2018 luigiwalser <luigiwalser> 2.22.2-1.mga7
+ Revision: 1311048
- 2.22.2

* Tue Sep 04 2018 tv <tv> 2.22.0-1.mga7
+ Revision: 1256951
- new release

* Mon Aug 27 2018 ns80 <ns80> 2.20.5-1.mga7
+ Revision: 1254926
- new version 2.20.5 (mga#23408)

* Mon Aug 20 2018 tv <tv> 2.20.4-2.mga7
+ Revision: 1252950
- rebuild for new libicu

* Wed Aug 08 2018 luigiwalser <luigiwalser> 2.20.4-1.mga7
+ Revision: 1250030
- 2.20.4

* Sun Jun 17 2018 luigiwalser <luigiwalser> 2.20.3-1.mga7
+ Revision: 1237309
- remove upstreamed patch 1
- 2.20.3

* Wed May 09 2018 ns80 <ns80> 2.20.2-1.mga7
+ Revision: 1227876
- new version 2.20.2 that fixes CVE-2018-4200 (mga#23004)

* Tue Apr 17 2018 ns80 <ns80> 2.20.1-1.mga7
+ Revision: 1219643
- new version 2.20.1 (mga#22876)

* Wed Feb 14 2018 ovitters <ovitters> 2.19.90-1.mga7
+ Revision: 1201292
- new version 2.19.90

* Thu Jan 25 2018 ns80 <ns80> 2.18.6-1.mga7
+ Revision: 1196886
- new version 2.18.6 (mga#22452)

* Wed Jan 10 2018 luigiwalser <luigiwalser> 2.18.5-1.mga7
+ Revision: 1192107
- 2.18.5

* Fri Dec 29 2017 wally <wally> 2.18.4-2.mga7
+ Revision: 1187020
- rebuild for new icu

* Wed Dec 20 2017 ns80 <ns80> 2.18.4-1.mga7
+ Revision: 1183556
- new version 2.18.4 (mga#22245)

* Sat Nov 11 2017 luigiwalser <luigiwalser> 2.18.3-1.mga7
+ Revision: 1176856
- 2.18.3

* Thu Nov 02 2017 ns80 <ns80> 2.18.2-1.mga7
+ Revision: 1175525
- new version 2.18.2 (mga#21894)
- rediff patch fix-ftbfs-armel

* Wed Jul 26 2017 luigiwalser <luigiwalser> 2.16.6-1.mga7
+ Revision: 1131073
- 2.16.6

* Fri Jul 07 2017 luigiwalser <luigiwalser> 2.16.5-1.mga6
+ Revision: 1109431
- 2.16.5

* Fri Jun 23 2017 luigiwalser <luigiwalser> 2.16.4-1.mga6
+ Revision: 1108261
- 2.16.4

* Fri May 26 2017 luigiwalser <luigiwalser> 2.16.3-1.mga6
+ Revision: 1104888
- 2.16.3

* Sat May 13 2017 ovitters <ovitters> 2.16.2-1.mga6
+ Revision: 1100791
- new version 2.16.2

* Tue May 02 2017 akien <akien> 2.16.1-4.mga6
+ Revision: 1098648
- Fix conflicts with jsc packaged in both webkit2 and webkit2-jsc

* Sat Apr 22 2017 wally <wally> 2.16.1-3.mga6
+ Revision: 1097052
- add patch from Debian to fix ARM build

* Fri Apr 21 2017 wally <wally> 2.16.1-2.mga6
+ Revision: 1097006
- rebuild for ARM

* Fri Apr 07 2017 ns80 <ns80> 2.16.1-1.mga6
+ Revision: 1096078
- new version 2.16.1 that fix several crashes and rendering issues

* Wed Mar 29 2017 luigiwalser <luigiwalser> 2.16.0-1.mga6
+ Revision: 1095162
- 2.16.0

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 2.14.5-2.mga6
+ Revision: 1093114
- Rebuild for icu-58.2

* Wed Feb 15 2017 ns80 <ns80> 2.14.5-1.mga6
+ Revision: 1086260
- 2.14.5

* Sun Feb 12 2017 luigiwalser <luigiwalser> 2.14.4-1.mga6
+ Revision: 1085867
- 2.14.4

* Tue Jan 31 2017 pterjan <pterjan> 2.14.3-2.mga6
+ Revision: 1084442
- Switch to Release build until RelWithDebInfo gets fixed (mga#19470)

* Wed Jan 18 2017 luigiwalser <luigiwalser> 2.14.3-1.mga6
+ Revision: 1082396
- 2.14.3

* Fri Nov 04 2016 luigiwalser <luigiwalser> 2.14.2-1.mga6
+ Revision: 1065373
- 2.14.2

* Wed Oct 26 2016 tv <tv> 2.14.1-3.mga6
+ Revision: 1063610
- fix description: this is WebKitGTK+, not WebKit
- use %%make_build
- no need to set CFLAGS after previous change
- myflags really is optflags
- more accurate summary

* Sat Oct 22 2016 tv <tv> 2.14.1-2.mga6
+ Revision: 1063186
- jsc is now installed into libexec instead of bin
+ luigiwalser <luigiwalser>
- 2.14.1

* Mon Sep 26 2016 tv <tv> 2.14.0-2.mga6
+ Revision: 1056768
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sat Sep 24 2016 ovitters <ovitters> 2.14.0-1.mga6
+ Revision: 1055819
- new version 2.14.0

* Wed Sep 14 2016 luigiwalser <luigiwalser> 2.12.5-1.mga6
+ Revision: 1052920
- 2.12.5

* Thu Aug 25 2016 luigiwalser <luigiwalser> 2.12.4-1.mga6
+ Revision: 1048870
- rebuild for release

* Thu Aug 25 2016 wally <wally> 2.12.4-0.1.mga6
+ Revision: 1048742
- new version 2.12.4

* Sat Jun 11 2016 tv <tv> 2.12.3-3.mga6
+ Revision: 1021182
- actually llvm is not more used since webkit switched to B3

* Sat Jun 11 2016 tv <tv> 2.12.3-2.mga6
+ Revision: 1021141
- do not pull llvm

* Mon May 30 2016 luigiwalser <luigiwalser> 2.12.3-1.mga6
+ Revision: 1019446
- 2.12.3

* Fri May 13 2016 shlomif <shlomif> 2.12.2-2.mga6
+ Revision: 1014914
- Rebuild for new ICU

* Tue May 10 2016 luigiwalser <luigiwalser> 2.12.2-1.mga6
+ Revision: 1011822
- 2.12.2

* Mon Apr 25 2016 luigiwalser <luigiwalser> 2.12.1-1.mga6
+ Revision: 1006207
- 2.12.1

* Tue Mar 22 2016 tv <tv> 2.12.0-1.mga6
+ Revision: 994149
- new release

* Thu Mar 17 2016 luigiwalser <luigiwalser> 2.11.92-1.mga6
+ Revision: 992595
- 2.11.92

* Fri Mar 11 2016 luigiwalser <luigiwalser> 2.11.91-1.mga6
+ Revision: 989265
- 2.11.91

* Thu Mar 10 2016 blino <blino> 2.11.5-3.mga6
+ Revision: 988880
- rebuild for armv5tl (also missed in first Mga6 mass rebuild)

* Tue Feb 09 2016 luigiwalser <luigiwalser> 2.11.5-2.mga6
+ Revision: 952978
- 2.11.5

* Mon Jan 25 2016 luigiwalser <luigiwalser> 2.11.4-1.mga6
+ Revision: 927488
- 2.11.4
+ wally <wally>
- loosen requires to not defeat the purpose of libification

* Sat Jan 02 2016 luigiwalser <luigiwalser> 2.11.2-4.mga6
+ Revision: 918369
- rebuild for icu
+ tv <tv>
- BR llvm on x86_64
- new release

* Sat Nov 21 2015 blino <blino> 2.10.4-2.mga6
+ Revision: 904683
- disable JIT on armv5tl since there is no VFP

* Tue Nov 17 2015 luigiwalser <luigiwalser> 2.10.4-1.mga6
+ Revision: 903841
- 2.10.4

* Tue Nov 03 2015 blino <blino> 2.10.3-3.mga6
+ Revision: 897538
- remove -O2 -g from cmake RELWITHDEBINFO flags, since we want -g1 to be applied
- 2.10.2 (fixes build with cmake 3.4)
+ tv <tv>
- new release

* Mon Sep 28 2015 fwang <fwang> 2.10.0-3.mga6
+ Revision: 884337
- rebuild for new gst

* Wed Sep 23 2015 fwang <fwang> 2.10.0-2.mga6
+ Revision: 882421
- add more br
- add more br
- add wayland br
- disable gstreamer-gl for now, as we currently only have 1.4.5
- cleanup br

* Wed Sep 23 2015 fwang <fwang> 2.10.0-1.mga6
+ Revision: 882384
- br hyphen
- br geoclue
- requires libnotify
- 2.10.0

* Tue Aug 18 2015 luigiwalser <luigiwalser> 2.8.5-1.mga6
+ Revision: 865707
- 2.8.5

* Fri Jul 24 2015 cjw <cjw> 2.8.4-2.mga6
+ Revision: 856760
- rebuild for icu 55

* Mon Jul 20 2015 luigiwalser <luigiwalser> 2.8.4-1.mga6
+ Revision: 855788
- 2.8.4

* Mon Jun 22 2015 ovitters <ovitters> 2.8.3-1.mga6
+ Revision: 839807
- new version 2.8.3

* Fri Apr 17 2015 luigiwalser <luigiwalser> 2.6.6-1.mga5
+ Revision: 820355
- remove CVE-2015-2330 patch (fixed upstream)
- 2.6.6

* Wed Mar 18 2015 luigiwalser <luigiwalser> 2.6.5-2.mga5
+ Revision: 818873
- add upstream patch to fix CVE-2015-2330

* Fri Feb 13 2015 luigiwalser <luigiwalser> 2.6.5-1.mga5
+ Revision: 814862
- 2.6.5

* Fri Dec 19 2014 luigiwalser <luigiwalser> 2.6.4-1.mga5
+ Revision: 804320
- 2.6.4
+ fwang <fwang>
- use JAVASCRIPTCORE_VERSION_MAJOR macro rather than hardcode soversion

* Fri Oct 24 2014 fwang <fwang> 2.6.2-2.mga5
+ Revision: 792910
- force -j6 for more than 6 cpus
- bump rel
- 2.6.2

* Wed Oct 15 2014 umeabot <umeabot> 2.6.1-2.mga5
+ Revision: 745955
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 luigiwalser <luigiwalser> 2.6.1-1.mga5
+ Revision: 738653
- 2.6.1

* Tue Sep 30 2014 tv <tv> 2.6.0-3.mga5
+ Revision: 731942
- adjust gir requires

* Mon Sep 29 2014 tv <tv> 2.6.0-2.mga5
+ Revision: 731804
- add patch from suse: fixup the .gir file to contain the full library name for libjavascriptcore

* Mon Sep 29 2014 wally <wally> 2.6.0-1.mga5
+ Revision: 731714
- new version 2.6.0
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 2.5.3-3.mga5
+ Revision: 690286
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 fwang <fwang> 2.5.3-2.mga5
+ Revision: 669056
- drop obsoletes

* Thu Aug 28 2014 fwang <fwang> 2.5.3-1.mga5
+ Revision: 669027
- update file list
- build gtk port
- imported package webkit2

